%%%%%%%%%%%% fig2_6.m %%%%%%%%% 
%	Dec 98
% last revision: 12/28/1998, JHC
set(gcf,'DefaultAxesFontSize',16)
set(gcf,'DefaultTextFontSize',16)
disp('Problem 2.13: Response to ramp/step input')
%--- input u1 for Prob 2.13
time = 0:0.01:5;
u1 = zeros(size(time));
i1 = min(find(time>=2));
for i=1:i1,
  u1(i)=2*time(i);
end
for i=i1+1:length(u1),
  u1(i) = u1(i1);
end
%---- input u2 for Prob 2.14
u2 = 0*time;
i1 = min(find(time>=2));
for i=1:i1,
  u2(i)=2*sin(pi*time(i));
end
plot(time,u1,time,u2,'--')
grid
%title('fig 2.6: inputs for Probs 2.13 & 2.14')
xlabel('Time (secs)'); ylabel('Amplitude')
axis([0 5 -2 5])
text(3.5,4.2,'u1')
text(1.0,0.2,'u2')
print -deps fig2_6.eps
%-- reset fonts to defaults
set(gcf,'DefaultAxesFontSize',get(0,'DefaultAxesFontSize'));
set(gcf,'DefaultTextFontSize',get(0,'DefaultTextFontSize'));
%%%%%%%%%%