%%%%%%%%%%%% fig3_7.m %%%%%%%%% 
% 	Dec 98
% last revision: Dec 31, 1998
set(gcf,'DefaultAxesFontSize',16)
set(gcf,'DefaultTextFontSize',16)
disp('figure 3.7')
Gc = tf(80*[1 3],[1 15*3])
Gp = tf(4,conv([0.5 1],[2 1]))	
H = tf(1,[0.05 1])
T_ref = feedback(Gp*Gc,H)
[zT_ref,pT_ref,kT_ref] = zpkdata(T_ref,'v')
T_ref_gainDC = dcgain(T_ref)
t = [0:0.01:2];
y_ref = step(T_ref,t);
T_dist = feedback(Gp,Gc*H)
[zT_dist,pT_dist,kT_dist] = zpkdata(T_dist,'v')
t = [0:0.01:2];
y_dist = step(T_dist,t);
%-------- plot both responses
plot(t,y_ref,t,y_dist,'--')
axis([0 2 0 1.2])
xlabel('Time (secs)'),ylabel('Amplitude')
grid;
%title('fig 3.7: CL ref & dist step resp,lead control for Example 3.5:')
text(1.0,1.00,'reference')
text(1.0,0.22,'disturbance')
print -deps fig3_7.eps
%-- reset fonts to defaults
set(gcf,'DefaultAxesFontSize',get(0,'DefaultAxesFontSize'));
set(gcf,'DefaultTextFontSize',get(0,'DefaultTextFontSize'));
%%%%%%%%%%

