%%%%%%%%%%%%%%%%%%%%%% p3_11.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/24/99 HS
%----------------------------------------------------
%      Problem 3.11: Series + Parallel connection
%            find zeros, poles, gain of T(s).
%                Also get step response
%----------------------------------------------------
clear, clf
% ---- G1 in parallel with series connection of G2 & G3
%	all of that in series with G4
numG1 = [12 5 1]
denG1 = [24 15 6]
G1 = tf(numG1,denG1)
disp('*******>');pause
numG2 = 4*[1 6]
denG2 = conv([1 2],[1 20])
G2 = tf(numG2,denG2)
disp('*******>');pause
numG3 = 10
denG3 = [1 10]
G3 = tf(numG3,denG3)
disp('*******>');pause
numG4 = [3 2]
denG4 = [4 3 6]
G4 = tf(numG4,denG4)
disp('*******>');pause
disp('Series connection of G2 & G3')
G23 = G2*G3
disp('*******>');pause
disp('Connection of G1, G2, & G3')
G123 = G1 + G23
disp('*******>');pause
disp('All four blocks')
T = G123*G4
disp('*******>');pause
disp('zeros, poles, & gain of T(s)')
[zT,pT,kT] = zpkdata(T,'v')
disp('*******>');pause
step(T);grid
title('P3.11: 4-block series/parallel connection')
disp('Suggestion....')
disp('Use ''who'' command to see what''s stored in the workspace')
disp(' Use roots command on numerators &')
disp('.....denominators of individual blocks.')
disp('end of Reinforcement Problem 3.11')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%