%%%%%%%%%%%%%%%%%%%%%% p3_19.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/24/99 HS
%----------------------------------------------------
%     Problem 3.19: Positive Feedback connection
%           find zeros, poles, gain of T(s).
%                Also get step response
%----------------------------------------------------
clear, clf
numG = [4 1]
denG = [5 3 2]
G = tf(numG,denG)
pG = roots(denG)     % poles of G
disp('*******>');pause
numH = [1 6]
denH = [1 4 11]
H = tf(numH,denH)
pH = roots(denH)     % poles of H
disp('*******>');pause
T = feedback(G,H,+1)
disp('*******>');pause
[zT,pT,kT] = zpkdata(T,'v')
disp('*******>');pause
step(T);grid
title('P3.19: positive feedback connection')
disp('end of Reinforcement Problem 3.19')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%