%%%%%%%%%%%%%%%%%%%%%% p3_9.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/24/99 HS
%----------------------------------------------------
%     Problem 3.9: Stable zero-pole cancellation
%----------------------------------------------------
clear, clf
disp(' Problem 3.9: Stable zero-pole cancellation')
numG1 = [1]
denG1 = [1 3 2]
G1 = tf(numG1,denG1)
numG2 = [2 5]
denG2 = [1 5 6]
G2 = tf(numG2,denG2)
disp('*******>');pause
T = G1 + G2
Tzpk = zpk(T)
disp('*******>');pause
[zT,pT,kT] = zpkdata(T,'v')
disp('triple zero at s = -2.0 due to parallel combination')
disp('double pole at s = -2.0 cancelled by zeros')
disp('All poles in LHP ==> Stable')
disp('*******>');pause
step(T)
grid;title('P3.9: step response of parallel connection')
disp('end of Reinforcement Problem 3.9')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
