%%%%%%%%%%%%%%%%%%%%%% p4_2.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/25/99 HS
%----------------------------------------------------
%      Problem 4.2: convert state-space model to 
%       transfer-function form. Then convert to 
%                   controller form.
%----------------------------------------------------
clear
disp('Problem 4.2: Fourth-order system with non-zero feedforward matrix')
disp('Enter A, B, C, D matrices')
A = [-2 2 0 0; 0 -4 4 0; 0 0 -5 5; 0 0 0 -10]
B = [0; 0; 0; 10], C = [1 0 1 0], D =0.5
disp('*****>');pause
% convert to transfer function form
G = ss(A,B,C,D)
Gtf = tf(G)
disp('*****>');pause
% convert back to state-space form
Gss = ss(Gtf)
% convert to ZPK form
Gzpk = zpk(Gss)
disp('*****>');pause
% convert back to state-space form
Gss = ss(Gzpk)
disp('end of Reinforcement Problem 4.2')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%