%%%%% fig5_6.m %%%%% 
%	Dec 98
%  last revision:  12/31/98  JHC
clear,clf
set(gcf,'DefaultAxesFontSize',16)
set(gcf,'DefaultTextFontSize',16)
disp('Example 5.3: Variable zero location')
temp = conv([1 1],[1 3]);
den = conv(temp,[1 12]);
K = 5;
clpoles = []; param = [];
for alpha = 2.0:10,
     num = [0 0 K K*alpha];
     clpoly = num + den; 
     clp = roots(clpoly); 
     clpoles = [clpoles; clp'];
     param = [param; alpha];
end
plot(clpoles,'*')
axis('equal')
xlabel('Real Axis'); ylabel('Imag Axis')
axis([-4 0 -2 2]);grid
% title('Example 5.3: K = 5, 2 <= alpha <= 10')
text(-1.97,1.75,'10')
text(-1.97,-1.75,'10')
text(-2.1,0.7,'5')
text(-2.1,-0.7,'5')
text(-2.05,0.14,'4')
text(-2.46,0.14,'4')
text(-1.20,0.14,'2')
text(-3.35,0.14,'2')
print -deps fig5_6.eps
%-- reset fonts to defaults
set(gcf,'DefaultAxesFontSize',get(0,'DefaultAxesFontSize'));
set(gcf,'DefaultTextFontSize',get(0,'DefaultTextFontSize'));
%%%%%%%%%%