%%%%%%%%%%%%%%%%%%%%%% p2_15.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/23/99 HS
%---------------------------------------------------- 
%                 Problem 2.15:  
%   determine poles and stability of system 
%----------------------------------------------------
clear, clf
disp('Problem 2.15 - fourth order system')
numG = [ 1 3 4 ]
denG = [ 1 8 30 76 80 ]
G = tf(numG, denG)
disp('*****>');pause
GG = zpk(G)
[zG, pG, kG] = zpkdata(GG,'v')
disp('*****>');pause
impulse(G,6)
title('P2.15: impulse response of fourth order system')
grid
disp('end of Reinforcement Problem 2.15')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%