%%%%%%%%%%%%%%%%%%%%%% p3_10.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/24/99 HS
%----------------------------------------------------
%       Problem 3.10: Common zero & pole in RHP
%----------------------------------------------------
clear, clf
disp(' Problem 3.10: Common zero & pole in RHP')
numG1 = -3
denG1 = [1 -1 -2]
G1 = tf(numG1,denG1)
numG2 = [2 1]
denG2 = [1 1 -6]
G2 = tf(numG2,denG2)
disp('*******>');pause
T = G1 + G2
Tzpk = zpk(T)
[zT,pT,kT] = zpkdata(T,'v')
disp('Has double zero at s = +2.0')
disp('Has double pole at s = +2.0')
disp('System is unstable due to poles in RHP')
disp('*******>');pause
step(T,18)
grid;title('P3.10: step response of parallel connection')
disp('end of Reinforcement Problem 3.10')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%