%%%%%%%%%%%%%%%%%%%%%% cp5_3a.m %%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, Chow, May 1999
%             last revision: 5/28/99 HS
%----------------------------------------------------
%       Comprehensive Problem CP5.3a:
%	rigid stick balancer + P-only control
%----------------------------------------------------
disp('CP5.3A: Open-loop rigid stick')
clear;clf
% load rigid.mat if exists, otherwise quit this M-file
if chkmat('rigid') == 1; 
    load rigid.mat
  else
    return
end
disp(' ')
disp('Have created model for stick balancer')
disp('..... with P-only control')
numOL = numG1;
denOL = denG1;
G_OL = tf(numOL,denOL)
disp('draw root locus for K > 0')
rlocus(G_OL);grid
title('CP5.3a: Rigid stick, feeding back theta, K > 0')
disp('Always have one branch in the RHP for K > 0')
keyboard
disp('draw 0-degree locus for K < 0')
rlocus(-G_OL);grid
title('CP5.3a: Rigid stick, feeding back theta, K < 0')
disp('Always have one branch in the RHP for K < 0')
disp('end of Comprehensive Problem 5.3a')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

