%%%%%%%%%%%%%%%%%%%%%% cp5_3b.m %%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/28/99 HS
%----------------------------------------------------
%       Comprehensive Problem CP5.3b
%	   stick balancer + P-only control
%----------------------------------------------------
disp('CP5.3B: Open-loop rigid stick')
clear;clf
% load rigid.mat if exists, otherwise quit this M-file
if chkmat('rigid') == 1; 
    load rigid.mat
  else
    return
end
disp(' ')
disp('Have created model for stick balancer with P-only')
disp('..... control feeding back cart position')
numOL = numG2;
denOL = denG2;
G_OL = tf(numOL,denOL)
disp('draw root locus for K > 0')
rlocus(G_OL);grid
axis('equal')
title('CP5.3b: Rigid stick, feeding back cart position, K > 0')
disp('Always have one branch in the RHP for K > 0')
keyboard
disp('redraw locus for very small area containing RHP pole & zero')
disp('Always have one branch in the RHP for K > 0')
axis([2.82 2.83 -.001 .001])
keyboard
disp('draw locus for K < 0')
rlocus(-G_OL);grid
axis('equal')
title('CP5.3b: Rigid stick, feeding back cart position, K < 0')
disp('Always have one branch in the RHP for K < 0')
disp('end of Comprehensive Problem 5.3b')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

