function   s = cvec2str(v)
%		cvec2str(v)
%
%	converts a COLUMN vector to a ROW string 
%	for use with Matlab 3.5g
%	With Matlab 4.0 can use sprintf, but not with 3.5g
%		algorithm due to Jim O'Donnell
%	Use rvec2str for ROW vector
%	For column vector have ';' following all but last element.
%		D K Frederick, 21 July 93
%------------------------------------------------------------
s = '[';
for i = 1:length(v),
  s = [s num2str(v(i))];
  if i < length(v),
    s = [s '; '];
  end
end
s = [s ']'];
%%%%%%%%%%%%%%%%%%%%%%%%%%